Distribution.Compat.ReadP

# The `ReadP` type

type ReadP r a

# Primitive operations

get

look

(+++)

(<++)

gather

# Other operations

pfail

satisfy

char

string

munch

munch1

skipSpaces

choice

count

between

option

optional

many

many1

skipMany

skipMany1

sepBy

sepBy1

endBy

endBy1

chainr

chainl

chainl1

chainr1

manyTill

# Running a parser

type ReadS a

readP_to_S

readS_to_P